searchNodes=[{"doc":"Elixir time zone support for your OS-supplied time zone databaseTell Elixir to use this as the default time zone database by running:Calendar.put_time_zone_database(Zoneinfo.TimeZoneDatabase)Time zone data is loaded from the path returned by tzpath/0. The default is to use /usr/share/zoneinfo, but that may be changed by setting the $TZPATH environment or adding the following to your project's config.exs:config :zoneinfo, tzpath: &quot;/custom/location&quot;Call time_zones/0 to get the list of supported time zones.","ref":"Zoneinfo.html","title":"Zoneinfo","type":"module"},{"doc":"Return all known time zonesThis function scans the path returned by tzpath/0 for all time zones and performs a basic check on each file. It may not be fast. It will not return the aliases that zoneinfo uses for backwards compatibility even though they may still work.","ref":"Zoneinfo.html#time_zones/0","title":"Zoneinfo.time_zones/0","type":"function"},{"doc":"Return the path to the time zone files","ref":"Zoneinfo.html#tzpath/0","title":"Zoneinfo.tzpath/0","type":"function"},{"doc":"Calendar.TimeZoneDatabase implementation for ZoneinfoPass this module to the DateTime functions or set it as the default by calling Calendar.put_time_zone_database/1","ref":"Zoneinfo.TimeZoneDatabase.html","title":"Zoneinfo.TimeZoneDatabase","type":"module"},{"doc":"Zoneinfo Elixir time zone support for your OS-supplied zoneinfo filesWhy Zoneinfo?Reuse your OS-maintained time zone database (usually in /usr/share/zoneinfo)Reduce your OTP release size by not bundling time zone dataLoad other TZif filesWhy not Zoneinfo?tzdata and tz work fine for youYou can't rely on your OS to update time zone files and don't want to implement this yourselfYou're running on Windows (the zoneinfo database can still be installed, but this is not a typical configuration)You need to extrapolate time zone conversions far in the future or past. Zoneinfo currently is limited to the ranges in TZif files which typically go to 2038.Speed is of utmost importance. Zoneinfo loads time zones on demand and caches them, but it does not focus on performance like tz.Zoneinfo is tested for consistency against the tz library. It's possible to test against tzdata by modifying @truth in the unit tests. All libraries source their information from the IANA Time Zone Database","ref":"readme.html","title":"Zoneinfo","type":"extras"},{"doc":"First, add :zoneinfo to your list of dependencies in mix.exs:def deps do [ {:zoneinfo, &quot;~&gt; 0.1.0&quot;} ] endNext, decide whether you want to configure Elixir to use Zoneinfo as the default time zone lookup. If you do, add the following line to your config.exs:config :elixir, time_zone_database: Zoneinfo.TimeZoneDatabaseor call Calendar.put_time_zone_database/1:Calendar.put_time_zone_database(Zoneinfo.TimeZoneDatabase)It's also possible to pass Zoneinfo.TimeZoneDatabase to DateTime functions to avoid the global configuration.The final step is to specify the location of the time zone files. Zoneinfo looks at the following locations:The :tzpath key in the application environmentThe TZPATH environment variable/usr/share/zoneinfoSince /usr/share/zoneinfo is the default on Linux and OSX, you may not need to do anything.To set :tzpath in the application environment, add this line to your config.exs:config :zoneinfo, tzpath: &quot;/custom/location&quot;","ref":"readme.html#installation","title":"Zoneinfo - Installation","type":"extras"},{"doc":"CachingWhile Zoneinfo does not contain a database and therefore has no logic to pull updates, it does cache data in memory for better performance. It flushes the cache daily so that it's possible to pick up changes to the system timezone data.Date rangesZoneinfo uses the date ranges stored in the TZif data for determining time zone information. While TZif files support extrapolation of dates beyond what's stored, Zoneinfo currently does not use it. This means that dates far enough in the future won't be calculated correctly.The default end date from the time zone compiler, zic(8), is 2038. This could, of course, could change and one would hope that it would be pushed farther out rather than reduced since the files are already pretty small.If you're looking at creating the smallest possible time zone database for and embedded system, using zic's -r flag helps significantly, but make sure that you have enough buffer to avoid extrapolation.Unit testsThe tests currently take a long time to run since they're checking a LOT of dates and times. If you're working on a patch, you may want to limit the date range in time_zone_database_test.exs to 10 years or less.","ref":"readme.html#notes-and-caveats","title":"Zoneinfo - Notes and caveats","type":"extras"},{"doc":"Both tz and tzdata were both extremely helpful in answering time zone questions. Code in this library will almost certainly look like it was influenced from the two libraries. Additionally, being able to compare the output of Zoneinfo to the output of those libraries caught a few subtle time zone handling bugs that could easily have gone unnoticed. The IANA time zone rules database comments and timeanddate.com were also extremely helpful to resolve discrepancies.","ref":"readme.html#acknowledgments","title":"Zoneinfo - Acknowledgments","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release to hex.","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]